CMSIS-DSP: Deprecated List

| CMSIS-DSP Version 1.8.0 CMSIS DSP Software Library

- Main Page
- Usage and Description
- Reference

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Deprecated List

Global __SIMD32 (addr)
Global arm_cfft_radix2_f32 (const arm_cfft_radix2_instance_f32 *S, float32_t *pSrc)
  Do not use this function. It has been superseded by arm_cfft_f32 and will be removed in the future
  Parameters

    [in] | S | points to an instance of the floating-point Radix-2 CFFT/CIFFT structure
    [in,out] | pSrc | points to the complex data buffer of size `2*fftLen`. Processing occurs in-place

  Returns
    none
Global arm_cfft_radix2_init_f32 (arm_cfft_radix2_instance_f32 *S, uint16_t fftLen, uint8_t ifftFlag, uint8_t bitReverseFlag)
  Do not use this function. It has been superseded by arm_cfft_f32 and will be removed in the future.
  Parameters

    [in,out] | S | points to an instance of the floating-point CFFT/CIFFT structure
    [in] | fftLen | length of the FFT

    [in]

    ifftFlag

    flag that selects transform direction
    - value = 0: forward transform
    - value = 1: inverse transform

    [in]

    bitReverseFlag

    flag that enables / disables bit reversal of output
    - value = 0: disables bit reversal of output
    - value = 1: enables bit reversal of output

  Returns
    execution status
    - ARM_MATH_SUCCESS : Operation successful
    - ARM_MATH_ARGUMENT_ERROR : `fftLen` is not a supported length
Global arm_cfft_radix2_init_q15 (arm_cfft_radix2_instance_q15 *S, uint16_t fftLen, uint8_t ifftFlag, uint8_t bitReverseFlag)
  Do not use this function. It has been superseded by arm_cfft_q15 and will be removed
  Parameters

    [in,out] | S | points to an instance of the Q15 CFFT/CIFFT structure.
    [in] | fftLen | length of the FFT.

    [in]

    ifftFlag

    flag that selects transform direction
    - value = 0: forward transform
    - value = 1: inverse transform

    [in]

    bitReverseFlag

    flag that enables / disables bit reversal of output
    - value = 0: disables bit reversal of output
    - value = 1: enables bit reversal of output

  Returns
    execution status
    - ARM_MATH_SUCCESS : Operation successful
    - ARM_MATH_ARGUMENT_ERROR : `fftLen` is not a supported length
Global arm_cfft_radix2_init_q31 (arm_cfft_radix2_instance_q31 *S, uint16_t fftLen, uint8_t ifftFlag, uint8_t bitReverseFlag)
  Do not use this function. It has been superseded by arm_cfft_q31 and will be removed in the future.
  Parameters

    [in,out] | S | points to an instance of the Q31 CFFT/CIFFT structure
    [in] | fftLen | length of the FFT

    [in]

    ifftFlag

    flag that selects transform direction
    - value = 0: forward transform
    - value = 1: inverse transform

    [in]

    bitReverseFlag

    flag that enables / disables bit reversal of output
    - value = 0: disables bit reversal of output
    - value = 1: enables bit reversal of output

  Returns
    execution status
    - ARM_MATH_SUCCESS : Operation successful
    - ARM_MATH_ARGUMENT_ERROR : `fftLen` is not a supported length
Global arm_cfft_radix2_q15 (const arm_cfft_radix2_instance_q15 *S, q15_t *pSrc)
  Do not use this function. It has been superseded by arm_cfft_q15 and will be removed in the future.
  Parameters

    [in] | S | points to an instance of the fixed-point CFFT/CIFFT structure
    [in,out] | pSrc | points to the complex data buffer of size `2*fftLen`. Processing occurs in-place

  Returns
    none
Global arm_cfft_radix2_q31 (const arm_cfft_radix2_instance_q31 *S, q31_t *pSrc)
  Do not use this function. It has been superseded by arm_cfft_q31 and will be removed in the future.
  Parameters

    [in] | S | points to an instance of the fixed-point CFFT/CIFFT structure
    [in,out] | pSrc | points to the complex data buffer of size `2*fftLen`. Processing occurs in-place

  Returns
    none
Global arm_cfft_radix4_f32 (const arm_cfft_radix4_instance_f32 *S, float32_t *pSrc)
  Do not use this function. It has been superseded by arm_cfft_f32 and will be removed in the future.
  Parameters

    [in] | S | points to an instance of the floating-point Radix-4 CFFT/CIFFT structure
    [in,out] | pSrc | points to the complex data buffer of size `2*fftLen`. Processing occurs in-place

  Returns
    none
Global arm_cfft_radix4_init_f32 (arm_cfft_radix4_instance_f32 *S, uint16_t fftLen, uint8_t ifftFlag, uint8_t bitReverseFlag)
  Do not use this function. It has been superceded by arm_cfft_f32 and will be removed in the future.
  Parameters

    [in,out] | S | points to an instance of the floating-point CFFT/CIFFT structure
    [in] | fftLen | length of the FFT

    [in]

    ifftFlag

    flag that selects transform direction
    - value = 0: forward transform
    - value = 1: inverse transform

    [in]

    bitReverseFlag

    flag that enables / disables bit reversal of output
    - value = 0: disables bit reversal of output
    - value = 1: enables bit reversal of output

  Returns
    execution status
    - ARM_MATH_SUCCESS : Operation successful
    - ARM_MATH_ARGUMENT_ERROR : `fftLen` is not a supported length
Global arm_cfft_radix4_init_q15 (arm_cfft_radix4_instance_q15 *S, uint16_t fftLen, uint8_t ifftFlag, uint8_t bitReverseFlag)
  Do not use this function. It has been superseded by arm_cfft_q15 and will be removed in the future.
  Parameters

    [in,out] | S | points to an instance of the Q15 CFFT/CIFFT structure
    [in] | fftLen | length of the FFT

    [in]

    ifftFlag

    flag that selects transform direction
    - value = 0: forward transform
    - value = 1: inverse transform

    [in]

    bitReverseFlag

    flag that enables / disables bit reversal of output
    - value = 0: disables bit reversal of output
    - value = 1: enables bit reversal of output

  Returns
    execution status
    - ARM_MATH_SUCCESS : Operation successful
    - ARM_MATH_ARGUMENT_ERROR : `fftLen` is not a supported length
Global arm_cfft_radix4_init_q31 (arm_cfft_radix4_instance_q31 *S, uint16_t fftLen, uint8_t ifftFlag, uint8_t bitReverseFlag)
  Do not use this function. It has been superseded by arm_cfft_q31 and will be removed in the future.
  Parameters

    [in,out] | S | points to an instance of the Q31 CFFT/CIFFT structure.
    [in] | fftLen | length of the FFT.

    [in]

    ifftFlag

    flag that selects transform direction
    - value = 0: forward transform
    - value = 1: inverse transform

    [in]

    bitReverseFlag

    flag that enables / disables bit reversal of output
    - value = 0: disables bit reversal of output
    - value = 1: enables bit reversal of output

  Returns
    execution status
    - ARM_MATH_SUCCESS : Operation successful
    - ARM_MATH_ARGUMENT_ERROR : `fftLen` is not a supported length
Global arm_cfft_radix4_q15 (const arm_cfft_radix4_instance_q15 *S, q15_t *pSrc)
  Do not use this function. It has been superseded by arm_cfft_q15 and will be removed in the future.
  Parameters

    [in] | S | points to an instance of the Q15 CFFT/CIFFT structure.
    [in,out] | pSrc | points to the complex data buffer. Processing occurs in-place.

  Returns
    none
Global arm_cfft_radix4_q31 (const arm_cfft_radix4_instance_q31 *S, q31_t *pSrc)
  Do not use this function. It has been superseded by arm_cfft_q31 and will be removed in the future.
  Parameters

    [in] | S | points to an instance of the Q31 CFFT/CIFFT structure
    [in,out] | pSrc | points to the complex data buffer of size `2*fftLen`. Processing occurs in-place

  Returns
    none
Global arm_rfft_f32 (const arm_rfft_instance_f32 *S, float32_t *pSrc, float32_t *pDst)
  Do not use this function. It has been superceded by arm_rfft_fast_f32 and will be removed in the future.
  Parameters

    [in] | S | points to an instance of the floating-point RFFT/RIFFT structure
    [in] | pSrc | points to the input buffer
    [out] | pDst | points to the output buffer

  Returns
    none
Global arm_rfft_init_f32 (arm_rfft_instance_f32 *S, arm_cfft_radix4_instance_f32 *S_CFFT, uint32_t fftLenReal, uint32_t ifftFlagR, uint32_t bitReverseFlag)
  Do not use this function. It has been superceded by arm_rfft_fast_init_f32 and will be removed in the future.
  Parameters

    [in,out] | S | points to an instance of the floating-point RFFT/RIFFT structure
    [in,out] | S_CFFT | points to an instance of the floating-point CFFT/CIFFT structure
    [in] | fftLenReal | length of the FFT.

    [in]

    ifftFlagR

    flag that selects transform direction
    - value = 0: forward transform
    - value = 1: inverse transform

    [in]

    bitReverseFlag

    flag that enables / disables bit reversal of output
    - value = 0: disables bit reversal of output
    - value = 1: enables bit reversal of output

  Returns
    execution status
    - ARM_MATH_SUCCESS : Operation successful
    - ARM_MATH_ARGUMENT_ERROR : `fftLenReal` is not a supported length